<? if ( $this->escort ): ?>
	<? if ( ! $this->is_premium ): ?>
<!--        --><?// var_dump($this->escort->showname)?>
		<h1><?= __('send_message_to', array('showname' => $this->escort->showname)); ?></h1>
	<? else: ?>
		<h1 class="h1_left">Send</h1><h1 class="h1_right">message to <?= $this->escort->showname ?></h1>
		<div class="clear"></div>
	<? endif; ?>
<? endif; ?>

<? 
$sess = new Zend_Session_Namespace('feedback'); 
$sess->rand = $rand_str = md5(microtime());
?>
		
<form class="feedback-form feedback-block" action="<?= $this->getLink('feedback') ?>" method="post">
	<input type="hidden" name="to" value="<?= $this->data['to'] ?>" />
	<input type="hidden" name="rand" value="<?= $rand_str ?>" />

	<? if ( $this->data['about'] ): ?><input type="hidden" name="about" value="<?= $this->data['about'] ?>" /><? endif ?>

	<? if ( $this->success ): ?><h2>Your feedback has been successfully submitted</h2><? endif ?>

	<div class="line">
		<label><?= $this->t('feedback_form_name') ?>:</label>
		<input class="textinput<?= isset($this->errors['name']) ? ' invalid' : '' ?>" type="text" name="name" size="16" value="<?= $this->data['name'] ?>" />
		<div class="clear"></div>
	</div>

	<div class="line">
		<label><?= $this->t('feedback_form_email') ?>:</label>
		<input class="textinput<?= isset($this->errors['email']) ? ' invalid' : '' ?>" type="text" name="email" size="16" value="<?= $this->data['email'] ?>" />
		<div class="clear"></div>
	</div>

	<div class="line nomargin">
		<label style="float: none; margin-bottom: 10px;"><?= $this->t('feedback_form_message') ?></label>
		<textarea class="textareainput<?= isset($this->errors['message']) ? ' invalid' : '' ?>" name="message" cols="10" rows="3" style="color: #000"><?= $this->data['message'] ?></textarea>
		<div class="clear"></div>
	</div>

	<? /*<div name="captcha"></div>
	<div class="captcha_box">
		<div id="recaptcha_div"></div>
	</div>*/?>
	<div class="line">
		<label>Captcha:</label>
		<span class="fleft" style="margin-right:10px"><img src="<?= $this->getLink('captcha', array(), true) ?>&no_tidy" width="90px" height="30px" alt="" /></span>
		<input style="width:130px !important" class="textinput <?= isset($this->errors['captcha']) ? ' invalid' : '' ?>" type="text" id="f-captcha" name="captcha" size="16"  />
		<div class="clear"></div>
	</div>			

	<div class="action_bar">		
		<button type="reset" class="grey-btn"><span><?= __('reset'); ?></span></button>
		<button type="submit" class="red-btn"><span><?= __('submit'); ?></span></button>
	</div>
</form>
